Debians sikkerhedsbulletin

DSA-1077-1 lynx-ssl -- programmeringsfejl

Rapporteret den:
26. maj 2006
Berørte pakker:
lynx-ssl
Sårbar:
Ja
Referencer i sikkerhedsdatabaser:
I Debians fejlsporingssystem: Fejl 296340.
I Bugtraq-databasen (hos SecurityFocus): BugTraq-id 11443.
I Mitres CVE-ordbog: CVE-2004-1617.
Yderligere oplysninger:

Michal Zalewski har opdaget at lynx, den populære webbrowser til teksttilstand, ikke forstod ugyldig HTML indeholdende et TEXTAREA-tag med en stor COLS-værdi og et stort tag-navn i et element, som ikke er afsluttet, hvorved den gik i en uendelig løkke mens den prøvede at fortolke det defekte HTML. Den samme kode er også i lynx-ssl.

I den gamle stabile distribution (woody) er dette problem rettet i version 2.8.4.1b-3.3.

Den stabile distribution (sarge) indeholder ikke længere lynx-ssl-pakker.

Den ustabile distribution (sid) indeholder ikke længere lynx-ssl-pakker.

Vi anbefaler at du opgraderer din lynx-ssl-pakke.

Rettet i:

Debian GNU/Linux 3.0 (woody)

Kildekode:
http://security.debian.org/pool/updates/main/l/lynx-ssl/lynx-ssl_2.8.4.1b-3.3.dsc
http://security.debian.org/pool/updates/main/l/lynx-ssl/lynx-ssl_2.8.4.1b-3.3.diff.gz
http://security.debian.org/pool/updates/main/l/lynx-ssl/lynx-ssl_2.8.4.1b.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/l/lynx-ssl/lynx-ssl_2.8.4.1b-3.3_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/l/lynx-ssl/lynx-ssl_2.8.4.1b-3.3_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/l/lynx-ssl/lynx-ssl_2.8.4.1b-3.3_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/l/lynx-ssl/lynx-ssl_2.8.4.1b-3.3_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/l/lynx-ssl/lynx-ssl_2.8.4.1b-3.3_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/l/lynx-ssl/lynx-ssl_2.8.4.1b-3.3_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/l/lynx-ssl/lynx-ssl_2.8.4.1b-3.3_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/l/lynx-ssl/lynx-ssl_2.8.4.1b-3.3_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/l/lynx-ssl/lynx-ssl_2.8.4.1b-3.3_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/l/lynx-ssl/lynx-ssl_2.8.4.1b-3.3_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/l/lynx-ssl/lynx-ssl_2.8.4.1b-3.3_sparc.deb

MD5-kontrolsummer for de listede filer findes i den originale sikkerhedsbulletin.